import request from '@/utils/request'

export function giftExchangeRulesDetail(query) {
  return request({
    url: '/news/getdgtIndustryNews',
    method: 'post',
    data: query
  })
}

export function updateGiftExchangeRules(query) {
  return request({
    url: '/mall-sku/modify/status',
    method: 'post',
    data: query
  })
}

export function createItem(data) {
  return request({
    url: '/mall-sku/festival/add',
    method: 'post',
    data
  })
}

export function updateItem(data) {
  return request({
    url: '/mall-sku/festival/edit',
    method: 'post',
    data
  })
}

export function giftList(query) {
  return request({
    url: '/mall-sku/festival/page',
    method: 'post',
    params:query
  })
}

export function giftState(query) {
  return request({
    url: '/mall-sku/modify/status',
    method: 'post',
    params:query
  })
}

export function exchangeHistory(query) {
  return request({
    url: '/mall-sku/skuLog',
    method: 'post',
    params:query
  })
}

export function relatedWelfare(query) {
  return request({
    url: '/mall-sku/festival/relation',
    method: 'post',
    params:query
  })
}

export function welfareList(query) {
  return request({
    url: '/mall-welfare/welfare/statusList',
    method: 'post',
    params:query
  })
}